<!DOCTYPE html>
<html lang="en">

<head>
	<title>photoCRUD</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

	<link rel="stylesheet" href="mystyle.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />

	<!-- Import Datatable sau jquery -->
	<!-- Import them style bootstrap cho datatable -->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

</head>

<body>

	<div class="container">
		<h2 style="text-align: center;">Quản trị Order-detail</h2>




		<table class="table table-bordered table-striped table-hover" id="order-detail-table">
			<thead>
				<tr>
					<th>STT</th>
					<th>quantityOrder</th>
					<th>priceEach</th>


					<th>Action</th>

				</tr>
		</table>
	</div>
	<script>
		/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
		// Biến mảng hằng số chứa danh sách tên các thuộc tính
		const gORDER_DETAIL_COL = ["id", "quantityOrder", "priceEach", "action"];

		// Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
		const gORDER_DETAIL_STT_COL = 0;
		const gORDER_DETAIL_QUANTITY_COL = 1;
		const gORDER_DETAIL_PRICE_COL = 2;
		// const gORDER_DETAIL_PRODUCT_NAME_COL = 3;

		const gORDER_DETAIL_ACTION_COL = 3;


		var table = $("#order-detail-table").DataTable({
			columns: [
				{ data: gORDER_DETAIL_COL[gORDER_DETAIL_STT_COL] },
				{ data: gORDER_DETAIL_COL[gORDER_DETAIL_QUANTITY_COL] },
				{ data: gORDER_DETAIL_COL[gORDER_DETAIL_PRICE_COL] },
				// { data: gORDER_DETAIL_COL[gORDER_DETAIL_PRODUCT_NAME_COL] },
				{ data: gORDER_DETAIL_COL[gORDER_DETAIL_ACTION_COL] },


			],
			columnDefs: [
				{ // định nghĩa lại cột action
					targets: gORDER_DETAIL_ACTION_COL,
					defaultContent: `
					<i class="fas fa-edit edit-order"></i>
					<i class="fas fa-trash-alt delete-order"></i>
			  		`
				},
				// { // định nghĩa lại cột action
				// 	targets: gORDER_DETAIL_PRODUCT_NAME_COL,
				// 	render: function (data) {

				// 		data = gProductSelected.productName
				// 		return data;
				// 	},
				// }

			]
		})
		$(document).ready(function () {
			// getParamIdOnUrl();
			onPageLoading();
		})

		var gOrderId = '';


		/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
		function onPageLoading() {
			getParamIdOnUrl();
			if (!gOrderId) {
				alert("Missing parameter")
			} else {
				// callApiToGetCustomerById(gCustomerId)
				callApiToGetOrderDetail();

			}

		}


		/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
		function getParamIdOnUrl() {
			console.log('làm tới đây')

			var url_string = window.location.href;
			var url = new URL(url_string);
			gOrderId = url.searchParams.get("id");
			console.log('check id', gOrderId)

		}

		function callApiToGetOrderDetail() {
			$.ajax({
				url: `http://localhost:8080/order/${gOrderId}/order_detail`,
				type: "GET",
				dataType: "json",
				success: function (res) {
					console.log('check order detail  by id', res);
					glistOrder = res
					table.clear();
					table.rows.add(res);
					table.draw();
				},
				error: function (err) {
					console.log(err.response);
				}
			})
		}









	</script>
</body>

</html>